Bug 61532 - dmalloc doesn't build - and consumes all resources in fail
dmalloc doesn't build - and consumes all resources in fail
Product: Red Hat Linux
Classification: Retired
Component: dmalloc (Show other bugs)
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Jakub Jelinek
Depends On:
Blocks: 61590
  Show dependency treegraph
Reported: 2002-03-20 18:26 EST by Trond Eivind Glomsrxd
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-03-26 11:54:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Trond Eivind Glomsrxd 2002-03-20 18:26:03 EST
dmalloc-4.8.1-6, Skipjack

When trying to rebuild it, it slows the system down to a halt while consuming
all available memory (256+512 swap). It then gets killed by the OOM killer in
the kernel. Upgrading to 4.8.2 doesn't help. The step dying is

./dmalloc_t -s -t 10000
Comment 1 Jakub Jelinek 2002-03-25 09:09:46 EST
dmalloc is crap.
Comment 2 Jeff Johnson 2002-03-25 17:38:40 EST
Don't run the test <shrug>.
Comment 3 Jakub Jelinek 2002-03-25 17:50:51 EST
Just skipping the test is no way useful, since it will die the same way
any time you use dmalloc for something.
I've actually changed glibc this time, since
if (__builtin_expect (worklist != NULL, 0))
  free (worklist);
is IMHO faster in the common case than
free (worklist);
but dmalloc will break into pieces next time any glibc internals get changed.
Comment 4 Jakub Jelinek 2002-04-04 05:38:07 EST
This workaround is in glibc-2.2.5-28+.

Note You need to log in before you can comment on or make changes to this bug.